<?php

/**
 * Subclass for representing a row from the 'node_page' table.
 *
 *
 *
 * @package lib.model
 */
class NodePage extends BaseNodePage implements ICatalyzLayoutProvider {
	/**
	 * NodeHome::getAvailableLayouts()
	 *
	 * @return
	 */
	public function getAvailableLayouts()
	{
		return array('katao/default');
	}

	public function updateFromRequest($node, $request, $previewMode)
	{
		$culture = $request->getParameter('culture');
		$this->setContent($request->getParameter('content'), $culture);
	}
	public function getValidSubClasses()
	{
		$result = array();
		$result[] = 'Page';
		$result[] = 'Network';
		$result[] = 'News';
		return $result;
	}
	static function getNodeClassCaption()
	{
		return 'Page';
	}
	public static function getNodeClassDescription()
	{
		return '';
	}
	static public function getLayoutAreas()
	{
		return array();
	}
}